%define ver_major 0.4
%def_disable static

Name: gnome-speech
Version: %ver_major.25
Release: alt2

Summary: GNOME Speech - text-to-speech convertion

License: LGPL
Group: System/Libraries
Url: http://developer.gnome.org/projects/gap/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source0: http://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch1: %name-no_gnome-common.patch
Patch2: %name-nojava.patch

Requires: gnome-speech-driver

BuildRequires: libbonobo-devel libpopt-devel libespeak-devel

%description
GNOME Speech purpose is to provide a simple general API for producing
text-to-speech output.

%package driver-espeak
Summary: Espeak TTS Speech Driver
Group: System/Libraries
Requires: espeak
Provides: gnome-speech-driver

%description driver-espeak
Provides text to speech services using the Espeak Speech Synthesis
System.

%package driver-festival
Summary: Festival TTS Speech Driver
Group: System/Libraries
Requires: festival
Provides: gnome-speech-driver

%description driver-festival
Provides the text to speech services using the Festival Speech
Synthesis System.

%package driver-speech-dispatcher
Summary: Speech Dispatcher driver
Group: System/Libraries
Provides: gnome-speech-driver

%description driver-speech-dispatcher
Provides the text to speech services using Speech Dispatcher.

%package devel
Summary: Development files for gnome_speech
Group: Development/C
Requires: %name = %version-%release

%description devel
GNOME speech files needed for development.

%prep
%setup -q
%patch1 -p1

%build
%autoreconf
%configure \
	 %{subst_enable static} \
	 --with-festival \
	 --with-speech-dispatcher \
	 --with-espeak-dir=%_prefix
	 
%make

%install
%make_install DESTDIR=%buildroot install

%files
%_bindir/test-speech
%_libdir/libgnomespeech.so.*
%_libdir/orbit-2.0/*.so

%files driver-espeak
%_bindir/espeak-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Espeak.server

%files driver-festival
%_bindir/festival-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Festival.server

%files driver-speech-dispatcher
%_bindir/speechd-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthDriver_Speech_Dispatcher.server

%files devel
%_libdir/libgnomespeech.so
%_includedir/gnome-speech-1.0
%_datadir/idl/*
%_pkgconfigdir/*.pc

%exclude %_libdir/orbit-*/*.la

%changelog
* Wed Nov 10 2010 Yuri N. Sedunov <aris@altlinux.org> 0.4.25-alt2
- rebuild for soname set-versions

* Fri May 08 2009 Yuri N. Sedunov <aris@altlinux.org> 0.4.25-alt1
- 0.4.25

* Mon Nov 17 2008 Yuri N. Sedunov <aris@altlinux.org> 0.4.22-alt1
- new version

* Wed Jun 18 2008 Alexey Shabalin <shaba@altlinux.ru> 0.4.20-alt1
- new version 0.4.20

* Mon Feb 04 2008 Alexey Shabalin <shaba@altlinux.ru> 0.4.18-alt1
- new version 0.4.18

* Sat Dec 29 2007 Alexey Shabalin <shaba@altlinux.ru> 0.4.17-alt1
- new version 0.4.17
- add Packager
- drivers split out into subpackage

* Wed Aug 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.4.5-alt1
- new version 0.4.5 (with rpmrb script)

* Thu Aug 24 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.4.4-alt1
- new version 0.4.4 (with rpmrb script)

* Mon Aug 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.4.3-alt1
- new version 0.4.3 (with rpmrb script)

* Tue Jul 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.4.2-alt1
- new version 0.4.2 (with rpmrb script)

* Fri Jul 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.4.1-alt1
- new version 0.4.1 (with rpmrb script)

* Sun May 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.3.10-alt1
- new version 0.3.10 (with rpmrb script)

* Mon Nov 14 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.3.9-alt1
- new version

* Sat Oct 01 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.3.7-alt1
- new version

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt1
- PLD spec adopted for ALT Linux Sisyphus

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt0.1
- All persons listed below can be reached at <cvs_login>@pld.org.pl
#Revision 1.16  2004/10/19 17:42:36  kloczek
#- release 6: comment temporary Requires rule for festival.
#
#Revision 1.15  2004/10/01 20:48:06  kloczek
#- reelase 5: rebuild on gcc 3.4.2.
#
#Revision 1.14  2004/08/30 17:43:47  kloczek
#- updated to 0.3.5.
#
#Revision 1.13  2004/07/18 21:09:33  kloczek
#- updated to 0.3.3.
#
#Revision 1.12  2004/05/01 03:32:10  kloczek
#- shorter req_ver_* identifiers.
#
#Revision 1.11  2004/04/18 22:39:06  kloczek
#- unification: 's/\*\.\*\.\*$/\*\.\*/' in libraries entries in %files.
#
#Revision 1.10  2004/03/08 23:23:39  kloczek
#- updated to 0.3.2.
#
#Revision 1.9  2004/02/28 16:30:42  kloczek
#- updated to 0.3.1.
#
